APIAnalytics

Count blocked agent instances

Count of distinct agent instances with blocked tool calls.

GET
/analytics/blocked-agent-instances-count

Count of distinct agent instances with blocked tool calls.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_agent_analytics

Query Parameters

scope?string

own returns only the caller's own records, even when they may see the whole organization. all, the default, returns everything the caller may see. It never widens what the caller may see.

Value in"all""own"
start_time*string

Start of the time range to report on, inclusive.

Formatdate-time
end_time*string

End of the time range to report on, exclusive.

Formatdate-time
agent_slug?array<string>

Filter to agents by slug, the agent type such as claude-code.

mcp_id?array<>

Filter to specific MCP servers by id.

tool_name?array<string>

Filter to specific tool names.

user_id?array<>

Filter to specific users by id.

user_group?array<string>

Filter to users in specific groups.

agent_tag_id?array<>

Filter to agent instances carrying specific tags.

resource_tag_id?array<>

Filter to MCP servers carrying specific tags.

Response Body

The request has succeeded.

application/json
  1. response

Count of distinct agent instances with blocked tool calls in a time range.

count*integer

Number of distinct agent instances with a blocked tool call.

Formatint64
Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/analytics/blocked-agent-instances-count?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z'
Example Response
{  "count": 0}